View Issue Details

IDProjectCategoryView StatusLast Update
0000417bareos-core[All Projects] installer / packagespublic2015-10-16 11:56
ReporterHilarioAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSFedoraOS VersionFedora 18 x86_64
Product Version14.2.2 
Fixed in Version 
Summary0000417: bareos logrotate errors
DescriptionLogrotate reports:
/etc/cron.daily/logrotate:

error: skipping "/var/log/bareos/bareos-audit.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.

error: skipping "/var/log/bareos/bareos.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.

Steps To Reproducejust install and see the logrotate report

Additional Information/var/log/bareos owners and permissions: bareos:bareos 775
I changed to 755.

Server is Fedora 18 x86_64,
bareos 14.2.2
logrotate 3.8.3
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactyes
bareos-13.2: action
bareos-12.4: impactyes
bareos-12.4: action

Relationships

related to 0000537 closedjoergs 15.2-rc1 RPM uses too-new "su" in logrotate file 
child of 0000447 closedjoergs Release bareos-14.2.5 

Activities

stephand

stephand

2015-04-17 18:57

developer   ~0001697

Suggestion: Let's add the following line to /etc/logrotate.d/bareos-dir

su bareos bareos

That should fix it properly.
mvwieringen

mvwieringen

2015-05-07 19:49

developer   ~0001713

Fix committed to bareos master branch with changesetid 5222.
mvwieringen

mvwieringen

2015-05-29 18:06

developer   ~0001759

Fix committed to bareos bareos-14.2 branch with changesetid 5345.

Related Changesets

bareos: master f780a233

2015-05-06 13:04:54

mvwieringen

Ported: N/A

Details Diff
Fix bareos logrotate errors

Fixes 0000417: bareos logrotate errors
Affected Issues
0000417
mod - scripts/logrotate.in Diff File

bareos: bareos-14.2 0f176bbd

2015-05-06 13:04:54

mvwieringen

Ported: N/A

Details Diff
Fix bareos logrotate errors

Fixes 0000417: bareos logrotate errors
Affected Issues
0000417
mod - scripts/logrotate.in Diff File

Issue History

Date Modified Username Field Change
2015-01-30 18:37 Hilario New Issue
2015-03-31 15:05 pstorz Status new => confirmed
2015-04-17 18:57 stephand Note Added: 0001697
2015-05-07 19:49 mvwieringen Changeset attached => bareos master f780a233
2015-05-07 19:49 mvwieringen Note Added: 0001713
2015-05-07 19:49 mvwieringen Status confirmed => resolved
2015-05-07 19:49 mvwieringen Resolution open => fixed
2015-05-27 12:38 joergs Relationship added child of 0000447
2015-05-27 12:38 joergs bareos-master: impact => yes
2015-05-27 12:38 joergs bareos-master: action => fixed
2015-05-27 12:38 joergs bareos-14.2: impact => yes
2015-05-27 12:38 joergs bareos-14.2: action => will care
2015-05-27 12:38 joergs bareos-13.2: impact => yes
2015-05-27 12:38 joergs bareos-12.4: impact => yes
2015-05-29 18:06 mvwieringen Changeset attached => bareos bareos-14.2 0f176bbd
2015-05-29 18:06 mvwieringen Note Added: 0001759
2015-06-01 16:20 joergs bareos-14.2: action will care => fixed
2015-10-02 20:09 mvwieringen adm Status resolved => closed
2015-10-02 20:09 mvwieringen adm Assigned To => mvwieringen adm
2015-10-02 20:09 mvwieringen adm Assigned To mvwieringen adm =>
2015-10-16 11:56 stephand Relationship added related to 0000537